petsc-3.12.1 2019-10-22
Report Typos and Errors

# PFApply

Applies the mathematical function to an array of values.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFApply(PF pf,PetscInt n,const PetscScalar *x,PetscScalar *y)

Collective on PF

### Input Parameters

| pf | - the function context
| n | - number of pointwise function evaluations to perform, each pointwise function evaluation is a function of dimin variables and computes dimout variables where dimin and dimout are defined in the call to PFCreate()
| x | - input array

### Output Parameter

y -output array

### Notes

### See Also

PFApplyVec(), PFCreate(), PFDestroy(), PFSetType(), PFSet()

### Level

beginner

### Location

src/vec/pf/interface/pf.c

### Implementations

PFApply_Constant in src/vec/pf/impls/constant/const.c
PFApply_Identity in src/vec/pf/impls/constant/const.c
PFApply_Matlab in src/vec/pf/impls/matlab/cmatlab.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages